Subject: [Cfrg] [Errata Verified] RFC7539 (4371)

From: RFC Errata System <[email-masked]>
Date: Wed, 3 Jun 2015 02:10:41 -0700 (PDT)

The following errata report has been verified for RFC7539,
"ChaCha20 and Poly1305 for IETF Protocols". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7539&eid=4371

--------------------------------------
Status: Verified
Type: Technical

Reported by: Adam Eijdenberg <[email-masked]>
Date Reported: 2015-05-21
Verified by: Lars Eggert (IRSG)

Section: 2.8.1

Original Text
-------------
         mac_data |= num_to_4_le_bytes(aad.length)
         mac_data |= num_to_4_le_bytes(ciphertext.length)

Corrected Text
--------------
         mac_data |= num_to_8_le_bytes(aad.length)
         mac_data |= num_to_8_le_bytes(ciphertext.length)

Notes
-----
Per section 2.8 the lengths should be 64-bit (8 bytes), not 4.

After this change the pseudo-code output matches the test vectors shown in 2.8.2.

--------------------------------------
RFC7539 (draft-irtf-cfrg-chacha20-poly1305-10)
--------------------------------------
Title               : ChaCha20 and Poly1305 for IETF Protocols
Publication Date    : May 2015
Author(s)           : Y. Nir, A. Langley
Category            : INFORMATIONAL
Source              : Crypto Forum Research Group
Area                : N/A
Stream              : IRTF
Verifying Party     : IRSG